Foreman - Feature #4629

Add Patternfly support in foreman
03/11/2014 01:39 PM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Alon Goldboim
Category: Web Interface
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1199548 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2137,
https://github.com/theforeman/foreman/p
ull/2943
Description

https://www.patternfly.org/

Related issues:

Related to Foreman - Feature #2937: Resize hosts table to use more screen width New 08/14/2013
Related to Katello - Bug #4796: Katello styling needs updates in congruence w... Closed 03/24/2014
Related to Packaging - Bug #12969: Package font-awesome-sass for Patternfly Closed 12/31/2015
Related to Packaging - Bug #12970: Package patternfly-sass Closed 12/31/2015
Related to Foreman - Bug #13050: Do not pass paths with /assets to helpers Closed 01/07/2016
Related to Foreman - Bug #13065: "Learn more about this on the documentation"... Closed 01/08/2016
Related to Foreman - Bug #13067: Headings and entries in top-level and dropdo... Closed 01/08/2016
Related to Foreman - Bug #13066: Body text on help pages is centered, but sho... Closed 01/08/2016
Related to Foreman - Bug #13068: "Generated on" dashboard text has no padding... Closed 01/08/2016
Related to Foreman - Bug #13069: Icons within documentation buttons are not c... Closed 01/08/2016
Related to Foreman - Bug #13070: Inconsistent "actions" column on various pages Closed 01/08/2016
Related to Foreman - Bug #13074: sprockets-rails dependency should not be in ... Closed 01/08/2016
Related to Foreman - Bug #13075: Missing padding between host#show status ico... Closed 01/08/2016
Related to Foreman - Bug #13076: host#show tab headings font size is larger t... Closed 01/08/2016
Related to Foreman - Bug #13077: Reports day selection dropdown menu is too n... Closed 01/08/2016
Related to Foreman - Bug #13078: Table heading text is not centred vertically New 01/08/2016
Related to Foreman - Bug #13083: Error page alert box should not be dismissible Closed 01/08/2016
Related to Foreman - Bug #13090: Misalignments on Puppet class edit form Closed 01/08/2016
Related to Foreman - Bug #13110: Plugin sprockets/registration initializer de... Closed 01/11/2016
Related to Foreman - Refactor #13146: remove table-condensed class Closed 01/12/2016
Related to Foreman - Bug #13169: Extra icon and bad layout of alert boxes on ... Resolved 01/13/2016
Related to Foreman - Bug #13729: Invalid closing "th" HTML tag on images list Closed 02/16/2016
Related to Foreman - Refactor #18134: Update organization/location wizard to ... New 01/18/2017
Related to Foreman - Refactor #14178: Replace jnotify with patternfly toast n... Closed 03/14/2016
Has duplicate Foreman - Feature #10178: Add label to column header in smart p... Duplicate 04/17/2015
Blocks Foreman - Tracker #10226: Core Sprint 1 Resolved 04/20/2015 05/10/2015
Associated revisions
Revision aa50ab15 - 01/07/2016 04:51 AM - Alon Goldboim
Fixes #4629 - Migrate Ul to Patternfly
History
https://www.patternfly.org/

#1 - 04/24/2014 11:55 AM - Ohad Levy

- translation missing: en.field_release set to 4

#2 - 04/24/2014 12:08 PM - Ohad Levy

- translation missing: en.field_release changed from 4 to 10

#3 - 06/09/2014 12:32 PM - Dominic Cleal
- Category set to Web Interface

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1310

#4 - 06/09/2014 12:32 PM - Dominic Cleal

- Related to Feature #2937: Resize hosts table to use more screen width added

#5 - 06/09/2014 12:33 PM - Dominic Cleal

- Description updated

#6 - 07/30/2014 04:37 AM - Ohad Levy

- translation missing: en.field_release deleted (10)

#7 - 02/09/2015 05:53 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/2137 added

#8 - 04/21/2015 01:44 PM - Eric Helms
- Blocks Tracker #10226: Core Sprint 1 added

#9 - 04/27/2015 05:05 AM - Dominic Cleal

- Has duplicate Feature #10178: Add label to column header in smart proxies list added

#10 - 05/31/2015 11:12 AM - Bryan Kearney
- Bugzilla link set to 1199548

#11 - 11/25/2015 08:29 AM - The Foreman Bot

- Assignee set to Daniel Lobato Garcia

#12 - 11/30/2015 05:21 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/2943 added

#13 - 12/21/2015 10:46 AM - Eric Helms

- Related to Bug #4796: Katello styling needs updates in congruence with Foreman adding Patternfly 0.3.0 upstream added

#14 - 12/31/2015 02:45 PM - Daniel Lobato Garcia
- Related to Bug #12969: Package font-awesome-sass for Patternfly added

#15 - 12/31/2015 03:04 PM - Daniel Lobato Garcia
- Related to Bug #12970: Package patternfly-sass added

#16 - 01/07/2016 05:02 AM - Alon Goldboim
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset aa50ab15ff091f132be81861f03c6a9919f2410d.

#17 - 01/07/2016 05:12 AM - Dominic Cleal

- Assignee changed from Daniel Lobato Garcia to Alon Goldboim
https://github.com/theforeman/foreman/pull/1310
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/aa50ab15ff091f132be81861f03c6a9919f2410d

- translation missing: en.field_release set to 71

#18 - 01/08/2016 04:56 AM - Dominic Cleal
- Related to Bug #13050: Do not pass paths with /assets to helpers added

#19 - 01/08/2016 05:20 AM - Dominic Cleal

- Related to Bug #13065: "Learn more about this on the documentation” should be "in the documentation" added

#20 - 01/08/2016 05:27 AM - Dominic Cleal

- Related to Bug #13067: Headings and entries in top-level and dropdown menus misaligned added

#21 - 01/08/2016 05:29 AM - Dominic Cleal
- Related to Bug #13066: Body text on help pages is centered, but should be left aligned added

#22 - 01/08/2016 05:33 AM - Dominic Cleal
- Related to Bug #13068: "Generated on" dashboard text has no padding against button added

#23 - 01/08/2016 05:34 AM - Dominic Cleal

- Related to Bug #13069: Icons within documentation buttons are not centred vertically added

#24 - 01/08/2016 06:03 AM - Dominic Cleal

- Related to Bug #13070: Inconsistent "actions" column on various pages added

#25 - 01/08/2016 06:30 AM - Dominic Cleal
- Related to Bug #13074: sprockets-rails dependency should not be in assets.rb only added

#26 - 01/08/2016 06:42 AM - Dominic Cleal
- Related to Bug #13075: Missing padding between host#show status icon and caption added

#27 - 01/08/2016 06:50 AM - Dominic Cleal
- Related to Bug #13076: host#show tab headings font size is larger than surrounding text and headings added

#28 - 01/08/2016 06:52 AM - Dominic Cleal

- Related to Bug #13077: Reports day selection dropdown menu is too narrow on host#show page added

#29 - 01/08/2016 07:02 AM - Dominic Cleal
- Related to Bug #13078: Table heading text is not centred vertically added

#30 - 01/08/2016 08:23 AM - Dominic Cleal
- Related to Bug #13083: Error page alert box should not be dismissible added

#31 - 01/08/2016 10:59 AM - Dominic Cleal
- Related to Bug #13090: Misalignments on Puppet class edit form added

#32 - 01/11/2016 07:46 AM - Dominic Cleal

- Related to Bug #13110: Plugin sprockets/registration initializer deprecation warning missing initializer name added

#33 - 01/12/2016 09:55 AM - Tomer Brisker

- Related to Refactor #13146: remove table-condensed class added

#34 - 01/13/2016 03:48 AM - Dominic Cleal

- Related to Bug #13169: Extra icon and bad layout of alert boxes on provisioning template form added

#35 - 02/16/2016 06:46 AM - Dominic Cleal
- Related to Bug #13729: Invalid closing "th" HTML tag on images list added

#36 - 01/18/2017 09:21 AM - Ohad Levy
- Related to Refactor #18134: Update organization/location wizard to use patternfly added

#37 - 01/18/2017 09:51 AM - Ohad Levy
- Related to Refactor #14178: Replace jnotify with patternfly toast notifications added
